StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Functions
starpu_stdlib.h File Reference
`#include <starpu.h>`

Go to the source code of this file.

## Macros
#define | STARPU_MALLOC_PINNED
#define | STARPU_MALLOC_COUNT

## Functions
void | starpu_malloc_set_align (size_t align)
int | starpu_malloc (void **A, size_t dim)
int | starpu_free (void *A)
int | starpu_malloc_flags (void **A, size_t dim, int flags)
int | starpu_free_flags (void *A, size_t dim, int flags)
starpu_ssize_t | starpu_memory_get_total (unsigned node)
starpu_ssize_t | starpu_memory_get_available (unsigned node)